Index: chan_iax2.c
===================================================================
--- chan_iax2.c	(revision 48226)
+++ chan_iax2.c	(working copy)
@@ -160,6 +160,7 @@
 #endif
 static int jittershrinkrate=2;
 static int trunkfreq = 20;
+static int trunkrealloc = 0;
 static int authdebug = 1;
 static int autokill = 0;
 static int iaxcompat = 0;
@@ -3766,7 +3767,7 @@
 	if (tpeer) {
 		if (tpeer->trunkdatalen + f->datalen + 4 >= tpeer->trunkdataalloc) {
 			/* Need to reallocate space */
-			if (tpeer->trunkdataalloc < MAX_TRUNKDATA) {
+			if (tpeer->trunkdataalloc < MAX_TRUNKDATA || trunkrealloc == 1) {
 				tmp = realloc(tpeer->trunkdata, tpeer->trunkdataalloc + DEFAULT_TRUNKDATA + IAX2_TRUNK_PREFACE);
 				if (tmp) {
 					tpeer->trunkdataalloc += DEFAULT_TRUNKDATA;
@@ -8878,6 +8879,8 @@
 			iax2_register(v->value, v->lineno);
 		} else if (!strcasecmp(v->name, "iaxcompat")) {
 			iaxcompat = ast_true(v->value);
+		} else if (!strcasecmp(v->name, "trunkrealloc")) {
+			trunkrealloc = ast_true(v->value);
 		} else if (!strcasecmp(v->name, "regcontext")) {
 			ast_copy_string(regcontext, v->value, sizeof(regcontext));
 			/* Create context if it doesn't exist already */
